/* fhtml.h
 */

#ifndef FHTML_H
#define FHTML_H

#include <qwidget.h>
#include <qevent.h>
#include <qscrbar.h>
#include "html_widget.h"

class KFortuneZone ;

/* width of the scrollbar */
#define SCROLL_WIDTH 16

/**
 * This class is used to add extra functionality to the KHTMLWidget:
 * a scrollbar (when needed) and 3 signals to make DND possible.
 *
 * @see FHtmlWidget
 * @see KFortuneZone
 */
class FHtml : public QWidget
{
	friend KFortuneZone ;

	Q_OBJECT

public:
	FHtml( QWidget *parent=0, const char *name=0 ) ;

	void setHtml( char * ) ;

protected slots:
	void mousePressEvent( QMouseEvent * ) ;
	void mouseReleaseEvent( QMouseEvent * ) ;
	void mouseMoveEvent( QMouseEvent * ) ;

	void resizeEvent( QResizeEvent * ) ;
	void scrollHtml( int pos ) ;
signals:
	void notifyMousePressEvent( QMouseEvent * ) ;
	void notifyMouseReleaseEvent( QMouseEvent * ) ;
	void notifyMouseMoveEvent( QMouseEvent * ) ;

private:
	QScrollBar *scroll ;
	FHtmlWidget *html ;
} ;

#endif
